
<div ng-if="$ctrl.view_file_modal" class="biomark-modal" style="padding:0px;">
  <div class="modal_container large"  style="width: 100% !important; margin: 0px;" click-outside="$ctrl.close_modal()">
      <div ng-if="$ctrl.is_pdf">
        <div class="modal-header-inline">
            <p style="font-weight: bold;">PDF Print Report View</p>
        </div>
        <div class="modal-closer-icon" ng-click="$ctrl.close_modal()">
            <i class="material-icons md-20">close</i>
        </div>
        <div  class="modal-body-sm text-center" style="padding: 50px 0px 0px 0px;">
            <div style="height: calc(100vh - 50px); overflow: hidden;">
                <pdfjs-viewer on-init="$ctrl.fileLoad()" src="{{ $ctrl.file_url }}" open="false" download="false" print="false" view="false"></pdfjs-viewer>
            </div>
            <br>
        </div>
      </div>

      <div ng-if="!$ctrl.is_pdf">
        <div class="modal-header-inline">
            <p style="font-weight: bold;">{{$ctrl.file.name}}</p>
        </div>
        <div class="modal-closer-icon" ng-click="$ctrl.close_modal()">
            <i class="material-icons md-20">close</i>
        </div>
        <div  class="modal-body-sm text-center" style="padding: 50px 0px 0px 0px;">
            <div style="height: calc(100vh - 50px); overflow: hidden; background-image: url('{{ $ctrl.file.url }}');"></div>
        </div>
      </div>
  </div>
</div>